[Buildroot] [git commit] avahi: fix avahi-ui build with libgtk3

Peter Korsgaard peter at korsgaard.com
Sun Nov 2 20:16:19 UTC 2014


>>>>> "Jörg" == Jörg Krause <jkrause at posteo.de> writes:

Hi,

 > Yann, Peter, All,

 >> It seems it requires gettext.
 >> 
 >> Jörg, care to test adding this to avahi.mk (just below AUTORECONF):
 >> 
 >> AVAHI_GETTEXTIZE = YES

 > this doesn't help. The problem is the AM_GLIB_GNU_GETTEXT macro at
 > configure.ac:419. If I enable glibc avahi builds without errors.

glib, not glibc.

 > I've also found some old posts about this issue, e.g:
 > http://blogs.gnome.org/jjardon/2010/10/08/use-upstream-gettext-instead-the-glib-one/

 > I followed this suggestions and replaced AM_GLIB_GNU_GETTEXT with:
 >         AM_GNU_GETTEXT_VERSION([0.19.3])
 >         AM_GNU_GETTEXT([external])
 > and it works for me.

 > I am not sure about the version number I should use for gettext. The
 > most recent one?

Sorry, don't know.

 > I am not an expert about autotools. So what do you think about this? May
 > I submit a patch for this issue?

Either that, or we simply forget about patching Makefile.am / running
autoreconf and just strip the CFLAGS arguments in Makefile.in instead.

-- 
Venlig hilsen,
Peter Korsgaard 


More information about the buildroot mailing list